--[[
AutoProfitY - Automatically sells low quality gray items and selected white items to the vendor.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:
	
Free Software Foundation, I.,
51 Franklin Street, Fifth Floor,
Boston, MA  02110-1301, USA.
--]]

local MAJOR = 'AutoProfitY'

local al = LibStub( 'AceLocale-3.0')

do
	local L = al:NewLocale( MAJOR, 'enUS', true)
	L.AutoDesc          = 'Automatically sell junk items when opening vendor window.'
	L.AutoName          = 'Auto Sell'
	L.DebugDesc         = 'Show debug messages. Only need for testing.'
	L.DebugName         = 'Debug'
	L.Description       = 'Automatically sells low quality gray items and selected white items to the vendor.'
	L.EnableDesc        = 'Activate the addon.'
	L.EnableName        = 'Enable'
	L.ExceptionAdd      = 'Added %s to exception list.'
	L.ExceptionRem      = 'Removed %s from exception list.'
	L.Exceptions        = 'Exceptions:'
	L.ExceptionsDeleted = 'Deleted all exceptions.'
	L.ExceptionsEmpty   = 'Your exception list is empty.'
	L.ExceptionsList1   = 'Exception list imported from %s on %s.'
	L.ExceptionsList2   = 'Exception list could not be found for %s on %s.'
	L.ExpectProfit      = 'Your profit: '
	L.GlobalDesc        = 'Add or remove an item from realm exception list.'
	L.GlobalListDesc    = 'List realm exceptions.'
	L.GlobalListName    = 'List realm exceptions'
	L.GlobalName        = 'Realm Exception'
	L.GlobalPurgeDesc   = 'Remove all items from realm exception list.'
	L.GlobalPurgeName   = 'Clear realm exceptions'
	L.ImportDesc        = 'Choose character to import exceptions from. Your exceptions will be deleted.'
	L.ImportName        = 'Import Exception List'
	L.Invalid           = 'Invalid item link provided.'
	L.LimitDesc         = 'Sell maximal 12 items. You can correct wrong sells.'
	L.LimitName         = 'Limit'
	L.LokalDesc         = 'Add or remove an item from your exception list.'
	L.LokalListDesc     = 'List your exceptions.'
	L.LokalListName     = 'List your exceptions'
	L.LokalName         = 'Your exception'
	L.LokalPurgeDesc    = 'Remove all items from your exception list.'
	L.LokalPurgeName    = 'Clear your exceptions'
	L.NoJunk            = 'You have no junk items in your inventory.'
	L.ProfitDesc        = 'Print total profit after sale.'
	L.ProfitName        = 'Show Profit'
	L.SellJunk          = 'Sell Junk Items'
	L.SilentDesc        = 'Print items being sold in chat frame.'
	L.SilentName        = 'Sales Reports'
	L.Sold              = 'Sold %s.'
	L.SoulboundDesc     = 'Sell unusable soulbound items.'
	L.SoulboundName     = 'Sell Soulbound'
	L.SpinDesc          = 'Set up when you want the treasure pile in the button to spin.'
	L.SpinName          = 'Button Animation Options'
	L.SpinNone          = 'Never spin'
	L.SpinOver          = 'Mouse-over'
	L.SpinOverProfit    = 'Mouse-over and profit'
	L.SpinProfit        = 'Profits'
	L.Total             = 'Total profits: %s'
	L.Usage             = '<item link>[<item link>...]'
	L.Version           = 'Version'
	L.VersionDesc       = 'Prints the current version.'
end

do
	local L = al:NewLocale( MAJOR, 'deDE')
	if L then 
		L.AutoDesc          = 'Wenn das Händlerfenster geöffnet wird automatisch den Müll verkaufen.'
		L.AutoName          = 'Automatisch verkaufen'
		L.DebugDesc         = 'Zeige Debug Nachrichten an. Wird nur zum Testen gebraucht.'
		L.DebugName         = 'Debug'
		L.Description       = 'Verkauft automatisch graue, sowie ausgewählte Gegenstände beim Händler'
		L.EnabledDesc       = 'Aktiviert das Addon.'
		L.EnabledName       = 'Addon Aktivieren'
		L.ExceptionAdd      = '%s zur Ausnahmeliste hinzugefügt.'
		L.ExceptionRem      = '%s von der Ausnahmeliste entfernt.'
		L.Exceptions        = 'Ausnahmen:'
		L.ExceptionsDeleted = 'Alle Ausnahmen gelöscht.'
		L.ExceptionsEmpty   = 'Deine Ausnahmeliste ist leer.'
		L.ExceptionsList1   = 'Ausnahmelist wurde von %s auf %s importiert.'
		L.ExceptionsList2   = 'Ausnahmeliste kann für %s auf %s nicht gefunden werden.'
		L.ExpectProfit      = 'Dein Profit: '
		L.GlobalDesc        = 'Einen Gegenstand der Realm Ausnahmeliste hinzufügen oder davon entfernen.'
		L.GlobalListDesc    = 'Die Realm Ausnahmeliste ausgeben.'
		L.GlobalListName    = 'Realm Ausnahmeliste'
		L.GlobalName        = 'Realm Ausnahme'
		L.GlobalPurgeDesc   = 'Lösche alle Gegenstände aus der Realm Ausnahmeliste.'
		L.GlobalPurgeName   = 'Lösche Realm'
		L.ImportDesc        = 'Wähle einen Charakter, von dem du die Ausnahmeliste übernehmen willst. Deine Ausnahmen werden gelöscht.'
		L.ImportName        = 'Importieren'
		L.Invalid           = 'Ungültiger Gegenstandslink.'
		L.LimitDesc         = 'Verkaufe maximal 12 Gegenstände. Dadurch kannst du Fehlverkäufe korrigieren.'
		L.LimitName         = 'Limit'
		L.LokalDesc         = 'Einen Gegenstand deiner Ausnahmeliste hinzufügen oder entfernen.'
		L.LokalListDesc     = 'Deine Ausnahmeliste ausgeben.'
		L.LokalListName     = 'Ausgeben deiner Ausnahmeliste'
		L.LokalName         = 'Deine Ausnahme'
		L.LokalPurgeDesc    = 'Lösche alle Gegenstände aus deiner Ausnahmeliste.'
		L.LokalPurgeName    = 'Lösche Deine'
		L.NoJunk            = 'Keine Müll in deinem Inventar.'
		L.ProfitDesc        = 'Zeige den Gesamtprofit nach dem Verkauf.'
		L.ProfitName        = 'Zeige Profit'
		L.SellJunk          = 'Verkaufe Müll'
		L.SilentDesc        = 'Zeige verkaufte Gegenstände im Chatfenster.'
		L.SilentName        = 'Zeige Bericht'
		L.Sold              = 'Verkaufe %s.'
		L.SoulboundDesc     = 'Verkaufe unbenutzbare seelengebundene Gegenstände.'
		L.SoulboundName     = 'Seelengebunden'
		L.SpinDesc          = 'Lege die Art der Animation des Geldhaufen im Button fest.'
		L.SpinName          = 'Button Animation'
		L.SpinNone          = 'Niemals drehen'
		L.SpinOver          = 'Wenn Maus darüber'
		L.SpinOverProfit    = 'Wenn Maus darüber und Profit'
		L.SpinProfit        = 'Bei Profit'
		L.Total             = 'Totaler Profit: %s'
		L.Usage             = '<item link>[<item link>...]'
		L.Version           = 'Version'
		L.VersionDesc       = 'Druckt die aktuelle Version aus.'
	end
end

do
	local L = al:NewLocale( MAJOR, 'frFR')
	if L then 
-- I need help on this translation
	end
end

do
	local L = al:NewLocale( MAJOR, 'esES')
	if L then 
-- I need help on this translation
	end
end

do
	local L = al:NewLocale( MAJOR, 'ruRU')
	if L then 
		L.DebugDesc         = 'Отображение отладочной информации. Требуется только для тестирования.'
		L.DebugName         = 'Отладка'
		L.EnabledDesc       = 'Активирует аддон.'
		L.EnabledName       = 'Включить'
		L.Version           = 'Версия'
		L.VersionDesc       = 'Выводит информации о версии.'
	end
end

do
	local L = al:NewLocale( MAJOR, 'koKR')
	if L then 
-- I need help on this translation
	end
end

do
	local L = al:NewLocale( MAJOR, 'zhCN')
	if L then 
-- I need help on this translation
	end
end

do
	local L = al:NewLocale( MAJOR, 'zhTW')
	if L then 
		L.AutoDesc          = '和商人談話時自動販售灰色物品'
		L.AutoName          = '自動販售'
		L.DebugDesc         = 'Show debug messages. Only need for testing.'
		L.DebugName         = '偵錯'
		L.Description       = 'Automatically sells low quality gray items and selected white items to the vendor.'
		L.EnableDesc        = 'Activate the addon.'
		L.EnableName        = '啟用'
		L.ExceptionAdd      = '將 %s 加入例外清單'
		L.ExceptionRem      = '將 %s 自例外清單中移除'
		L.Exceptions        = '例外物品:'
		L.ExceptionsDeleted = '刪除所有例外物品'
		L.ExceptionsEmpty   = '你的例外清單是空的'
		L.ExceptionsList1   = '(%s 於 %s) 的例外清單已匯入'
		L.ExceptionsList2   = '(%s 於 %s) 並沒有例外清單'
		L.ExpectProfit      = 'Your profit: '
		L.GlobalDesc        = 'Add or remove an item from realm exception list.'
		L.GlobalListDesc    = 'List realm exceptions.'
		L.GlobalListName    = 'List realm exceptions'
		L.GlobalName        = 'Realm Exception'
		L.GlobalPurgeDesc   = 'Remove all items from realm exception list.'
		L.GlobalPurgeName   = 'Clear realm exceptions'
		L.ImportDesc        = 'Choose character to import exceptions from. Your exceptions will be deleted.'
		L.ImportName        = 'Import Exception List'
		L.Invalid           = 'Invalid item link provided.'
		L.LimitDesc         = 'Sell maximal 12 items. You can correct wrong sells.'
		L.LimitName         = 'Limit'
		L.LokalDesc         = 'Add or remove an item from your exception list.'
		L.LokalListDesc     = '顯示例外清單'
		L.LokalListName     = '顯示例外清單'
		L.LokalName         = '你的例外清單'
		L.LokalPurgeDesc    = '移除你的例外清單中所有物品'
		L.LokalPurgeName    = '清除你的例外清單'
		L.NoJunk            = '你的背包裡並沒有灰色物品'
		L.ProfitDesc        = '顯示販售的總獲利'
		L.ProfitName        = '顯示獲利'
		L.SellJunk          = '賣垃圾物品'
		L.SilentDesc        = 'Print items being sold in chat frame.'
		L.SilentName        = '販售報告'
		L.Sold              = '出售 %s.'
		L.SoulboundDesc     = '販賣不能用的拾榜物品'
		L.SoulboundName     = '販賣拾榜物品'
		L.SpinDesc          = 'Set up when you want the treasure pile in the button to spin.'
		L.SpinName          = 'Button Animation Options'
		L.SpinNone          = 'Never spin'
		L.SpinOver          = '滑鼠經過'
		L.SpinOverProfit    = 'Mouse-over and profit'
		L.SpinProfit        = '售出物品時'
		L.Total             = '全部售價: %s'
		L.Usage             = '<物品連結>[<物品連結>...]'
		L.Version           = '版本'
		L.VersionDesc       = 'Prints the current version.'
	end
end
