--[[
AutoProfitY - Automatically sells low quality gray items and selected white items to the vendor.

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to:
	
Free Software Foundation, I.,
51 Franklin Street, Fifth Floor,
Boston, MA  02110-1301, USA.
--]]

local BI = LibStub( 'LibBabble-Inventory-3.0'):GetLookupTable()

local prof = {
	['DEATHKNIGHT'] = {
		[ARMOR] = {
			[BI['Shields']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Daggers']] = true,
			[BI['Guns']] = true,
			[BI['Fist Weapons']] = true,
			[BI['Staves']] = true,
			[BI['Thrown']] = true,
			[BI['Wands']] = true,
		}
	},
	['DRUID'] = {
		[ARMOR] = {
			[BI['Mail']] = true,
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Guns']] = true,
			[BI['One-Handed Axes']] = true,
			[BI['One-Handed Swords']] = true,
			[BI['Thrown']] = true,
			[BI['Two-Handed Axes']] = true,
			[BI['Two-Handed Swords']] = true,
			[BI['Wands']] = true,
			noOffhand = true
		}
	},
	['HUNTER'] = {
		[ARMOR] = {
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['One-Handed Maces']] = true,
			[BI['Two-Handed Maces']] = true,
			[BI['Wands']] = true,
		}
	},
	['MAGE'] = {
		[ARMOR] = {
			[BI['Leather']] = true,
			[BI['Mail']] = true,
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Guns']] = true,
			[BI['Fist Weapons']] = true,
			[BI['One-Handed Axes']] = true,
			[BI['One-Handed Maces']] = true,
			[BI['Polearms']] = true,
			[BI['Thrown']] = true,
			[BI['Two-Handed Axes']] = true,
			[BI['Two-Handed Maces']] = true,
			[BI['Two-Handed Swords']] = true,
			noOffhand = true
		}
	},
	['PALADIN'] = {
		[ARMOR] = {
			[BI['Idols']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Daggers']] = true,
			[BI['Guns']] = true,
			[BI['Fist Weapons']] = true,
			[BI['Staves']] = true,
			[BI['Thrown']] = true,
			[BI['Wands']] = true,
			noOffhand = true
		}
	},
	['PRIEST'] = {
		[ARMOR] = {
			[BI['Leather']] = true,
			[BI['Mail']] = true,
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Guns']] = true,
			[BI['Fist Weapons']] = true,
			[BI['One-Handed Axes']] = true,
			[BI['One-Handed Swords']] = true,
			[BI['Polearms']] = true,
			[BI['Thrown']] = true,
			[BI['Two-Handed Axes']] = true,
			[BI['Two-Handed Maces']] = true,
			[BI['Two-Handed Swords']] = true,
			noOffhand = true
		}
	},
	['ROGUE'] = {
		[ARMOR] = {
			[BI['Mail']] = true,
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Polearms']] = true,
			[BI['Staves']] = true,
			[BI['Two-Handed Axes']] = true,
			[BI['Two-Handed Maces']] = true,
			[BI['Two-Handed Swords']] = true,
			[BI['Wands']] = true,
		}
	},
	['SHAMAN'] = {
		[ARMOR] = {
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Guns']] = true,
			[BI['One-Handed Swords']] = true,
			[BI['Polearms']] = true,
			[BI['Thrown']] = true,
			[BI['Two-Handed Swords']] = true,
			[BI['Wands']] = true,
		}
	},
	['WARLOCK'] = {
		[ARMOR] = {
			[BI['Leather']] = true,
			[BI['Mail']] = true,
			[BI['Shields']] = true,
			[BI['Plate']] = true,
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Bows']] = true,
			[BI['Crossbows']] = true,
			[BI['Guns']] = true,
			[BI['Fist Weapons']] = true,
			[BI['One-Handed Axes']] = true,
			[BI['One-Handed Maces']] = true,
			[BI['Polearms']] = true,
			[BI['Thrown']] = true,
			[BI['Two-Handed Axes']] = true,
			[BI['Two-Handed Maces']] = true,
			[BI['Two-Handed Swords']] = true,
			noOffhand = true
		}
	},
	['WARRIOR'] = {
		[ARMOR] = {
			[BI['Idols']] = true,
			[BI['Librams']] = true,
			[BI['Totems']] = true,
		},
		[ENCHSLOT_WEAPON] = {
			[BI['Wands']] = true,
		}
	},
}

local Profit = LibStub( 'AceAddon-3.0'):GetAddon( 'AutoProfitY')
if Profit then
	local _, class = UnitClass( 'player')
	Profit:SetProficiency( prof[class] or {})
end
prof = nil
